# OMNO API Documentation Version: 2.0.0 ## Servers Production ``` https://api.omno.com ``` Sandbox ``` https://api.omno.dev ``` ## Security ### bearerAuth Type: oauth2 ## Download OpenAPI description [OMNO API Documentation](https://docs.omno.com/_bundle/apis/payments/openapi.yaml) ## Cashier Cashier API ### Update cashier session balance - [PUT /public/cashier/session/{sessionId}/balance](https://docs.omno.com/apis/payments/openapi/cashier/updatecashiersessionbalance.md): Updates cashier session balance for customer. ### Create cashier session - [POST /public/cashier/session](https://docs.omno.com/apis/payments/openapi/cashier/createcashiersession.md): Creates cashier session for customer. ## PayIn PayIn API ### Create payin transaction - [POST /public/payin](https://docs.omno.com/apis/payments/openapi/payin/createpayin.md): Creates pay-in transaction for the given request ### processSavedCard - [POST /public/payin/{payinId}/process/saved-card](https://docs.omno.com/apis/payments/openapi/payin/processsavedcard.md) ### Start direct link payin processing - [POST /public/payin/{payinId}/process/direct-link](https://docs.omno.com/apis/payments/openapi/payin/startdirectlinkpayinprocessing.md): Start direct link payin processing for the given ID and after this transaction will start processing. ### processCard - [POST /public/payin/{payinId}/process/card](https://docs.omno.com/apis/payments/openapi/payin/processcard.md) ### Fetch payin transaction - [GET /public/payin/{payinId}](https://docs.omno.com/apis/payments/openapi/payin/fetchpayintransaction.md): Get payin transaction Details for the given ID ## Payout Payout API ### Reject payout transaction - [PUT /public/payout/{payoutId}/reject](https://docs.omno.com/apis/payments/openapi/payout/rejectpayout.md): Reject payout transaction for the given ID and after this transaction will not be sent to PSP for processing. ### Confirm payout transaction - [PUT /public/payout/{payoutId}/confirm](https://docs.omno.com/apis/payments/openapi/payout/confirmpayout.md): Confirm payout transaction for the given ID and after this confirmation transaction will start processing. ### Create payout transaction - [POST /public/payout](https://docs.omno.com/apis/payments/openapi/payout/createpayout.md): Creates payout transaction for the given request ### Start direct link payout processing - [POST /public/payout/{payoutId}/process/direct-link](https://docs.omno.com/apis/payments/openapi/payout/startdirectlinkpayoutprocessing.md): Start direct link payout processing for the given ID and after this transaction will start processing. ### Fetch payout transaction - [GET /public/payout/{payoutId}](https://docs.omno.com/apis/payments/openapi/payout/fetchpayouttransaction.md): Fetch payout transaction for the given ID